org.codehaus.groovy.runtime

## Class DefaultGroovyMethodsSupport.RangeInfo

- java.lang.Object
- - org.codehaus.groovy.runtime.DefaultGroovyMethodsSupport.RangeInfo

Enclosing class:
  DefaultGroovyMethodsSupport

    protected static class DefaultGroovyMethodsSupport.RangeInfo
    extends Object

### Field Summary

Fields
`int` `from`
`boolean` `reverse`
`int` `to`

### Constructor Summary

Constructors
Constructor and Description
`DefaultGroovyMethodsSupport.RangeInfo(int from, int to, boolean reverse)`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### from

    public final int from

#### to

    public final int to

#### reverse

    public final boolean reverse

### Constructor Detail

#### DefaultGroovyMethodsSupport.RangeInfo

    public DefaultGroovyMethodsSupport.RangeInfo(int from,
                                         int to,
                                         boolean reverse)